# Introduction

Ragas is a framework that helps you evaluate your Retrieval Augmented Generation (RAG) pipelines. RAG denotes a class of LLM applications that use external data to augment the LLM’s context. There are existing tools and frameworks that help you build these pipelines but evaluating it and quantifying your pipeline performance can be hard. This is where Ragas (RAG Assessment) comes in.


<div class="grid cards" markdown>
- 🚀 **Get Started**

    Learn the basics and become familiar with the Ragas metrics and how to evaluate
    RAG pipelines with it, how to generate synthetic testsets to run evaluations
    against and setting up online monitoring for your RAG apps.

    [:octicons-arrow-right-24: Get Started](getstarted/index.md)

- 📚 **Core Concepts**

    The high-level explanations for building a better understand about the
    important topics such as how to think about metrics-driven development, how the Ragas metrics work under the hood and synthetic dataset generation.

    [:octicons-arrow-right-24: Core Concepts](concepts/index.md)

- 🛠️ **How-to Guides**

    Practical guides to help you achieve a specific goals. Take a look at these
    guides to learn how to use Ragas to solve real-world problems.

    [:octicons-arrow-right-24: How-to Guides](howtos/index.md)

- 📖 **References**

    Technical descriptions of how Ragas classes and methods work.

    [:octicons-arrow-right-24: References](references/index.md)

</div>